'use strict';

import React from 'react';
import { observer } from 'mobx-react';
import MyQradesPage from '@/pages/myQradesPage/myqradespage';
import { ModalCtrl } from '@/core/ctrls/ModalCtrl';
import { PageCtrl } from '@/core/ctrls/PageCtrl';
import './index.less';

@observer
class Endpop extends React.Component {
  constructor(props) {
    super(props);
  }
  // 关闭
  closeClick = () => {
    ModalCtrl.closeModal();
  };
  // 查看
  viewClick = () => {
    ModalCtrl.closeModal();
    PageCtrl.changePage(MyQradesPage)
  };
  render() {
    return (
      <div className="endpop modal_center">
        <span className="bg"></span>
        <span className="titlebg"></span>
        <span className="btnbg"></span>
        <span className="liJiChaKan" onClick = { ()=> this.viewClick()} >立即查看</span>
        <span className="kuaiQuChaKanLiCaiChengJiCanYuChouJiangBa">快去查看理财成绩，参与抽奖吧!</span>
        <span className="close" onClick = { ()=> this.closeClick()}></span>
      </div>
    );
  }
}
export default Endpop;
